ADAM_2.12: CLI 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package cli
  Definition Classes
    adam
- ADAM2Fastq
- ADAM2FastqArgs
- ADAMMain
- ADAMModule
- About
- CommandGroup
- CountReadKmers
- CountReadKmersArgs
- CountSliceKmers
- CountSliceKmersArgs
- Coverage
- CoverageArgs
- FlagStat
- FlagStatArgs
- MergeShards
- MergeShardsArgs
- PrintADAM
- PrintADAMArgs
- TransformAlignments
- TransformAlignmentsArgs
- TransformFeatures
- TransformFeaturesArgs
- TransformFragments
- TransformFragmentsArgs
- TransformGenotypes
- TransformGenotypesArgs
- TransformSequences
- TransformSequencesArgs
- TransformSlices
- TransformSlicesArgs
- TransformVariants
- TransformVariantsArgs
- View
- ViewArgs

c

org.bdgenomics.adam.cli

# TransformAlignmentsArgs 

###

#### class TransformAlignmentsArgs extends Args4jBase with ADAMSaveAnyArgs with ParquetArgs with CramArgs

Linear Supertypes
CramArgs, ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, Args4jBase, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TransformAlignmentsArgs
2. CramArgs
3. ParquetArgs
4. ADAMSaveAnyArgs
5. SaveArgs
6. ParquetRDDArgs
7. Args4jBase
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new TransformAlignmentsArgs()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  var asSingleFile: Boolean
   Definition Classes
     TransformAlignmentsArgs → ADAMSaveAnyArgs
6.  var binQualityScores: String
7.  val blockSize: Int
   Definition Classes
     ParquetArgs → ParquetRDDArgs
   Annotations
     @Option()
8.  var cache: Boolean
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
10.  var coalesce: Int
11.  var command: String
12.  val compressionCodec: CompressionCodecName
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
13.  var concatFilename: String
14.  def configureCramFormat(sc: SparkContext): Option[Unit]

    Configure CRAM format.

    Configure CRAM format.

    sc

      Spark context to configure

    Definition Classes
      CramArgs
15.  val cramReference: String
    Definition Classes
      CramArgs
    Annotations
      @Option()
16.  var deferMerging: Boolean
    Definition Classes
      TransformAlignmentsArgs → ADAMSaveAnyArgs
17.  val disableDictionaryEncoding: Boolean
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
18.  var disableFastConcat: Boolean
    Definition Classes
      TransformAlignmentsArgs → ADAMSaveAnyArgs
19.  var disableProcessingStep: Boolean
20.  var doPrintUsage: Boolean
    Definition Classes
      Args4jBase
21.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
23.  var fastqReadGroup: String
24.  var forceLoadBam: Boolean
25.  var forceLoadFastq: Boolean
26.  var forceLoadIFastq: Boolean
27.  var forceLoadParquet: Boolean
28.  var forceShuffle: Boolean
29.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
30.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
31.  var inputPath: String
32.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
33.  var knownIndelsFile: String
34.  var knownSnpsFile: String
35.  var limitProjection: Boolean
36.  var locallyRealign: Boolean
37.  var lodThreshold: Double
38.  val logLevel: String
    Definition Classes
      ParquetArgs
    Annotations
      @Option()
39.  var markDuplicates: Boolean
40.  var maxConsensusNumber: Int
41.  var maxIndelSize: Int
42.  var maxReadLength: Int
43.  var maxReadsPerTarget: Int
44.  var maxTargetSize: Int
45.  var mdTagsFragmentSize: Long
46.  var mdTagsOverwrite: Boolean
47.  var mdTagsReferenceFile: String
48.  var minAcceptableQuality: Int
49.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
50.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
51.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
52.  var outputPath: String
    Definition Classes
      TransformAlignmentsArgs → SaveArgs
53.  val pageSize: Int
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
54.  var pairedFastqFile: String
55.  var partitionByStartPos: Boolean
56.  var partitionedBinSize: Int
57.  var recalibrateBaseQualities: Boolean
58.  var reference: String
59.  var regionPredicate: String
60.  var repartition: Int
61.  var samplingFraction: Double
62.  var samplingSeed: Long
63.  var sortByReadName: Boolean
64.  var sortByReferencePosition: Boolean
65.  var sortByReferencePositionAndIndex: Boolean
66.  var sortFastqOutput: Boolean
    Definition Classes
      TransformAlignmentsArgs → ADAMSaveAnyArgs
67.  var storageLevel: String
68.  var stringency: String
69.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
70.  def toString(): String
    Definition Classes
      AnyRef → Any
71.  var unclipReads: Boolean
72.  var useAlignedReadPredicate: Boolean
73.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
74.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
75.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from CramArgs

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped